package ovh.herisson.Clyde.EndPoints;

import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import ovh.herisson.Clyde.Services.StorageService;
import org.springframework.core.io.Resource;
import ovh.herisson.Clyde.Tables.FileType;

@RestController
@CrossOrigin(origins = "http://localhost:5173")
public class StorageController {

    private final StorageService storageServ;

    public StorageController(StorageService storageServ){
        this.storageServ= storageServ;
    }


    @PostMapping("/upload/{fileType}")
    public ResponseEntity<String> handleFileUpload(@RequestParam("file") MultipartFile file, @PathVariable FileType fileType) {

        String path = storageServ.store(file,fileType);

        if (path == null) return new ResponseEntity<>("issue with the file storage", HttpStatus.BAD_REQUEST);

        return  new ResponseEntity<>(path, HttpStatus.OK);
    }
}
